# Uses of Interface
org.bukkit.entity.Player

Packages that use Player
Package
Description
com.destroystokyo.paper
com.destroystokyo.paper.event.block
com.destroystokyo.paper.event.entity
com.destroystokyo.paper.event.player
com.destroystokyo.paper.event.server
com.destroystokyo.paper.exception
com.destroystokyo.paper.loottable
io.papermc.paper.chat
io.papermc.paper.event.block
io.papermc.paper.event.entity
io.papermc.paper.event.packet
io.papermc.paper.event.player
me.totalfreedom.scissors.event.player
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.enchantment
`Events` triggered from an `enchantment table`.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.hanging
`Events` relating to `entities that hang`.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.event.raid
`Events` related to raids.
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.
org.bukkit.plugin.messaging
Classes dedicated to specialized plugin to client protocols.
org.spigotmc.event.player
Spigot-specific player events.

## Uses of Player in com.destroystokyo.paper

Methods in com.destroystokyo.paper that return Player
Modifier and Type
Method
Description
`@Nullable Player`
ParticleBuilder.`source()`
Methods in com.destroystokyo.paper that return types with arguments of type Player
Modifier and Type
Method
Description
`@Nullable List<Player>`
ParticleBuilder.`receivers()`
Methods in com.destroystokyo.paper with parameters of type Player
Modifier and Type
Method
Description
`@NotNull ParticleBuilder`
ParticleBuilder.`receivers(@Nullable Player... receivers)`
`void`
Title.`send(@NotNull Player player)`
Deprecated.
Sends the title directly to an player
`void`
Title.`send(@NotNull Player[] players)`
Deprecated.
Sends the title directly to the defined players
`@NotNull ParticleBuilder`
ParticleBuilder.`source(@Nullable Player source)`
Sets the source of this particle for visibility concerns (Vanish API)
Method parameters in com.destroystokyo.paper with type arguments of type Player
Modifier and Type
Method
Description
`@NotNull ParticleBuilder`
ParticleBuilder.`receivers(@Nullable Collection<Player> receivers)`
`@NotNull ParticleBuilder`
ParticleBuilder.`receivers(@Nullable List<Player> receivers)`
`void`
Title.`send(@NotNull Collection<? extends Player> players)`
Deprecated.
Sends the title directly to the defined players

## Uses of Player in com.destroystokyo.paper.event.block

Methods in com.destroystokyo.paper.event.block that return Player
Modifier and Type
Method
Description
`@NotNull Player`
BeaconEffectEvent.`getPlayer()`
Gets the player who the potion effect is being applied to.
Constructors in com.destroystokyo.paper.event.block with parameters of type Player
Modifier
Constructor
Description
``
`BeaconEffectEvent(@NotNull Block block, @NotNull PotionEffect effect, @NotNull Player player, boolean primary)`

## Uses of Player in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Player
Modifier and Type
Method
Description
`@NotNull Player`
EndermanAttackPlayerEvent.`getPlayer()`
The player the Enderman is considering attacking
Constructors in com.destroystokyo.paper.event.entity with parameters of type Player
Modifier
Constructor
Description
``
`EndermanAttackPlayerEvent(@NotNull Enderman entity, @NotNull Player player)`
``
`PlayerNaturallySpawnCreaturesEvent(@NotNull Player player, byte radius)`

## Uses of Player in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player with parameters of type Player
Modifier and Type
Method
Description
`static void`
IllegalPacketEvent.`process(@NotNull Player player, @Nullable String type, @Nullable String kickMessage, @NotNull Exception exception)`
Deprecated.
Constructors in com.destroystokyo.paper.event.player with parameters of type Player
Modifier
Constructor
Description
``
`IllegalPacketEvent(@NotNull Player player, @Nullable String type, @Nullable String kickMessage, @NotNull Exception e)`
Deprecated.
``
`PlayerAdvancementCriterionGrantEvent(@NotNull Player who, @NotNull Advancement advancement, @NotNull String criterion)`
``
`PlayerArmorChangeEvent(@NotNull Player player, @NotNull PlayerArmorChangeEvent.SlotType slotType, @Nullable ItemStack oldItem, @Nullable ItemStack newItem)`
``
`PlayerAttackEntityCooldownResetEvent(@NotNull Player who, @NotNull Entity attackedEntity, float cooledAttackStrength)`
``
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull String locale, int viewDistance, @NotNull ClientOption.ChatVisibility chatVisibility, boolean chatColors, @NotNull SkinParts skinParts, @NotNull MainHand mainHand)`
Deprecated.
``
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull Map<ClientOption<?>,?> options)`
``
`PlayerElytraBoostEvent(@NotNull Player player, @NotNull ItemStack itemStack, @NotNull Firework firework)`
``
`PlayerInitialSpawnEvent(@NotNull Player who, @NotNull Location spawnLocation)`
Deprecated.
``
`PlayerJumpEvent(@NotNull Player player, @NotNull Location from, @NotNull Location to)`
``
`PlayerLaunchProjectileEvent(@NotNull Player shooter, @NotNull ItemStack itemStack, @NotNull Projectile projectile)`
``
`PlayerLocaleChangeEvent(Player player, String oldLocale, String newLocale)`
Deprecated.
``
`PlayerPickupExperienceEvent(@NotNull Player player, @NotNull ExperienceOrb experienceOrb)`
``
`PlayerPostRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnedLocation, boolean isBedSpawn)`
``
`PlayerReadyArrowEvent(@NotNull Player player, @NotNull ItemStack bow, @NotNull ItemStack arrow)`
``
`PlayerRecipeBookClickEvent(@NotNull Player player, @NotNull NamespacedKey recipe, boolean makeAll)`
``
`PlayerSetSpawnEvent(@NotNull Player who, @NotNull PlayerSetSpawnEvent.Cause cause, @Nullable Location location, boolean forced, boolean notifyPlayer, @Nullable Component notification)`
``
`PlayerStartSpectatingEntityEvent(@NotNull Player player, @NotNull Entity currentSpectatorTarget, @NotNull Entity newSpectatorTarget)`
``
`PlayerStopSpectatingEntityEvent(@NotNull Player player, @NotNull Entity spectatorTarget)`
``
`PlayerTeleportEndGatewayEvent(@NotNull Player player, @NotNull Location from, @NotNull Location to, @NotNull EndGateway gateway)`
``
`PlayerUseUnknownEntityEvent(@NotNull Player who, int entityId, boolean attack, @NotNull EquipmentSlot hand)`

## Uses of Player in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return Player
Modifier and Type
Method
Description
`protected @NotNull Player`
PaperServerListPingEvent.`getBukkitPlayer(@NotNull Object player)`
Methods in com.destroystokyo.paper.event.server that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull Iterator<Player>`
PaperServerListPingEvent.`iterator()`

## Uses of Player in com.destroystokyo.paper.exception

Methods in com.destroystokyo.paper.exception that return Player
Modifier and Type
Method
Description
`Player`
ServerPluginMessageException.`getPlayer()`
Gets the player which the plugin message causing the exception originated from
Constructors in com.destroystokyo.paper.exception with parameters of type Player
Modifier
Constructor
Description
`protected`
`ServerPluginMessageException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin, Player player, String channel, byte[] data)`
``
`ServerPluginMessageException(String message, Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)`
``
`ServerPluginMessageException(Throwable cause, Plugin responsiblePlugin, Player player, String channel, byte[] data)`

## Uses of Player in com.destroystokyo.paper.loottable

Methods in com.destroystokyo.paper.loottable with parameters of type Player
Modifier and Type
Method
Description
`default @Nullable Long`
LootableInventory.`getLastLooted(@NotNull Player player)`
Gets the timestamp, in milliseconds, of when the player last looted this object
`default boolean`
LootableInventory.`hasPlayerLooted(@NotNull Player player)`
Has this player ever looted this block
`default boolean`
LootableInventory.`setHasPlayerLooted(@NotNull Player player, boolean looted)`
Change the state of whether or not a player has looted this block
Constructors in com.destroystokyo.paper.loottable with parameters of type Player
Modifier
Constructor
Description
``
`LootableInventoryReplenishEvent(@NotNull Player player, @NotNull LootableInventory inventory)`

## Uses of Player in io.papermc.paper.chat

Methods in io.papermc.paper.chat with parameters of type Player
Modifier and Type
Method
Description
`@NotNull Component`
ChatRenderer.`render(@NotNull Player source, @NotNull Component sourceDisplayName, @NotNull Component message, @NotNull Audience viewer)`
Renders a chat message.
`@NotNull Component`
ChatRenderer.ViewerUnaware.`render(@NotNull Player source, @NotNull Component sourceDisplayName, @NotNull Component message)`
Renders a chat message.

## Uses of Player in io.papermc.paper.event.block

Constructors in io.papermc.paper.event.block with parameters of type Player
Modifier
Constructor
Description
``
`PlayerShearBlockEvent(@NotNull Player who, @NotNull Block block, @NotNull ItemStack item, @NotNull EquipmentSlot hand, @NotNull List<ItemStack> drops)`

## Uses of Player in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return Player
Modifier and Type
Method
Description
`@NotNull Player`
ElderGuardianAppearanceEvent.`getAffectedPlayer()`
Get the player affected by the guardian appearance.
`@Nullable Player`
EntityDyeEvent.`getPlayer()`
Returns the player dyeing the entity, if available.
Constructors in io.papermc.paper.event.entity with parameters of type Player
Modifier
Constructor
Description
``
`ElderGuardianAppearanceEvent(@NotNull Entity what, @NotNull Player affectedPlayer)`
``
`EntityDyeEvent(@NotNull Entity entity, @NotNull DyeColor dyeColor, @Nullable Player player)`

## Uses of Player in io.papermc.paper.event.packet

Methods in io.papermc.paper.event.packet that return Player
Modifier and Type
Method
Description
`@NotNull Player`
PlayerChunkLoadEvent.`getPlayer()`
`@NotNull Player`
PlayerChunkUnloadEvent.`getPlayer()`
Constructors in io.papermc.paper.event.packet with parameters of type Player
Modifier
Constructor
Description
``
`PlayerChunkLoadEvent(@NotNull Chunk chunk, @NotNull Player player)`
``
`PlayerChunkUnloadEvent(@NotNull Chunk chunk, @NotNull Player player)`

## Uses of Player in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return Player
Modifier and Type
Method
Description
`@Nullable Player`
AsyncChatDecorateEvent.`player()`
Gets the player (if available) associated with this event.
Constructors in io.papermc.paper.event.player with parameters of type Player
Modifier
Constructor
Description
``
`AsyncChatCommandDecorateEvent(boolean async, @Nullable Player player, @NotNull Component originalMessage, @NotNull Component result)`
``
`AsyncChatDecorateEvent(boolean async, @Nullable Player player, @NotNull Component originalMessage, @NotNull Component result)`
``
`AsyncChatEvent(boolean async, @NotNull Player player, @NotNull Set<Audience> viewers, @NotNull ChatRenderer renderer, @NotNull Component message, @NotNull Component originalMessage)`
``
`ChatEvent(@NotNull Player player, @NotNull Set<Audience> viewers, @NotNull ChatRenderer renderer, @NotNull Component message, @NotNull Component originalMessage)`
Deprecated.
``
`PlayerArmSwingEvent(@NotNull Player player, @NotNull EquipmentSlot equipmentSlot)`
``
`PlayerBedFailEnterEvent(@NotNull Player player, @NotNull PlayerBedFailEnterEvent.FailReason failReason, @NotNull Block bed, boolean willExplode, @Nullable Component message)`
``
`PlayerChangeBeaconEffectEvent(@NotNull Player player, @Nullable PotionEffectType primary, @Nullable PotionEffectType secondary, @Nullable Block beacon)`
``
`PlayerDeepSleepEvent(@NotNull Player player)`
``
`PlayerFlowerPotManipulateEvent(@NotNull Player player, @NotNull Block flowerpot, @NotNull ItemStack item, boolean placing)`
``
`PlayerInventorySlotChangeEvent(@NotNull Player player, int rawSlot, @NotNull ItemStack oldItemStack, @NotNull ItemStack newItemStack)`
``
`PlayerItemCooldownEvent(@NotNull Player player, @NotNull Material type, int cooldown)`
``
`PlayerItemFrameChangeEvent(@NotNull Player player, @NotNull ItemFrame itemFrame, @NotNull ItemStack itemStack, @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction action)`
``
`PlayerLecternPageChangeEvent(@NotNull Player player, @NotNull Lectern lectern, @NotNull ItemStack book, @NotNull PlayerLecternPageChangeEvent.PageChangeDirection pageChangeDirection, int oldPage, int newPage)`
``
`PlayerLoomPatternSelectEvent(@NotNull Player player, @NotNull LoomInventory loomInventory, @NotNull PatternType patternType)`
``
`PlayerNameEntityEvent(@NotNull Player player, @NotNull LivingEntity entity, @NotNull Component name, boolean persistent)`
``
`PlayerPurchaseEvent(@NotNull Player player, @NotNull MerchantRecipe trade, boolean rewardExp, boolean increaseTradeUses)`
``
`PlayerSignCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients, @NotNull Sign sign)`
``
`PlayerStonecutterRecipeSelectEvent(@NotNull Player player, @NotNull StonecutterInventory stonecutterInventory, @NotNull StonecuttingRecipe stonecuttingRecipe)`
``
`PlayerStopUsingItemEvent(@NotNull Player player, @NotNull ItemStack item, int ticksHeldFor)`
``
`PlayerTrackEntityEvent(@NotNull Player player, @NotNull Entity entity)`
``
`PlayerTradeEvent(@NotNull Player player, @NotNull AbstractVillager villager, @NotNull MerchantRecipe trade, boolean rewardExp, boolean increaseTradeUses)`
``
`PlayerUntrackEntityEvent(@NotNull Player player, @NotNull Entity entity)`
``
`PrePlayerAttackEntityEvent(@NotNull Player who, @NotNull Entity attacked, boolean willAttack)`
Constructor parameters in io.papermc.paper.event.player with type arguments of type Player
Modifier
Constructor
Description
``
`PlayerSignCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients, @NotNull Sign sign)`

## Uses of Player in me.totalfreedom.scissors.event.player

Methods in me.totalfreedom.scissors.event.player that return Player
Modifier and Type
Method
Description
`@NotNull Player`
SpectatorTeleportEvent.`getPlayer()`
Constructors in me.totalfreedom.scissors.event.player with parameters of type Player
Modifier
Constructor
Description
``
`SpectatorTeleportEvent(@NotNull Player player, @NotNull Entity target)`

## Uses of Player in org.bukkit

Methods in org.bukkit that return Player
Modifier and Type
Method
Description
`static @Nullable Player`
Bukkit.`getPlayer(@NotNull String name)`
Gets a player object by the given username.
`static @Nullable Player`
Bukkit.`getPlayer(@NotNull UUID id)`
Gets the player with the given UUID.
`@Nullable Player`
OfflinePlayer.`getPlayer()`
Gets a `Player` object that this represents, if there is one
`@Nullable Player`
Server.`getPlayer(@NotNull String name)`
Gets a player object by the given username.
`@Nullable Player`
Server.`getPlayer(@NotNull UUID id)`
Gets the player with the given UUID.
`static @Nullable Player`
Bukkit.`getPlayerExact(@NotNull String name)`
Gets the player with the exact given name, case insensitive.
`@Nullable Player`
Server.`getPlayerExact(@NotNull String name)`
Gets the player with the exact given name, case insensitive.
Methods in org.bukkit that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double radius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xzRadius, double yRadius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xRadius, double yRadius, double zRadius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xRadius, double yRadius, double zRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xzRadius, double yRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double radius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double radius)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xzRadius, double yRadius)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xRadius, double yRadius, double zRadius)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xRadius, double yRadius, double zRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xzRadius, double yRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double radius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`static @NotNull Collection<? extends Player>`
Bukkit.`getOnlinePlayers()`
Gets a view of all currently logged in players.
`@NotNull Collection<? extends Player>`
Server.`getOnlinePlayers()`
Gets a view of all currently logged in players.
`@NotNull List<Player>`
World.`getPlayers()`
Get a list of all players in this World
`static @NotNull List<Player>`
Bukkit.`matchPlayer(@NotNull String name)`
Attempts to match any players with the given name, and returns a list of all possibly matches.
`@NotNull List<Player>`
Server.`matchPlayer(@NotNull String name)`
Attempts to match any players with the given name, and returns a list of all possibly matches.
Methods in org.bukkit with parameters of type Player
Modifier and Type
Method
Description
`static @NotNull ItemStack`
Bukkit.`craftItem(@NotNull ItemStack[] craftingMatrix, @NotNull World world, @NotNull Player player)`
Get the crafted item using the list of `ItemStack` provided.
`@NotNull ItemStack`
Server.`craftItem(@NotNull ItemStack[] craftingMatrix, @NotNull World world, @NotNull Player player)`
Get the crafted item using the list of `ItemStack` provided.
`default <T> void`
World.`spawnParticle(@NotNull Particle particle, @Nullable List<Player> receivers, @NotNull Player source, double x, double y, double z, int count, double offsetX, double offsetY, double offsetZ, double extra, T data)`
Spawns the particle (the number of times specified by count) at the target location.
`<T> void`
World.`spawnParticle(@NotNull Particle particle, @Nullable List<Player> receivers, @Nullable Player source, double x, double y, double z, int count, double offsetX, double offsetY, double offsetZ, double extra, T data, boolean force)`
Spawns the particle (the number of times specified by count) at the target location.
Method parameters in org.bukkit with type arguments of type Player
Modifier and Type
Method
Description
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xRadius, double yRadius, double zRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double xzRadius, double yRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<Player>`
Location.`getNearbyPlayers(double radius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xRadius, double yRadius, double zRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double xzRadius, double yRadius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<Player>`
World.`getNearbyPlayers(@NotNull Location loc, double radius, @Nullable Predicate<Player> predicate)`
Gets nearby players within the specified radius (bounding box)
`default <T> void`
World.`spawnParticle(@NotNull Particle particle, @Nullable List<Player> receivers, @NotNull Player source, double x, double y, double z, int count, double offsetX, double offsetY, double offsetZ, double extra, T data)`
Spawns the particle (the number of times specified by count) at the target location.
`<T> void`
World.`spawnParticle(@NotNull Particle particle, @Nullable List<Player> receivers, @Nullable Player source, double x, double y, double z, int count, double offsetX, double offsetY, double offsetZ, double extra, T data, boolean force)`
Spawns the particle (the number of times specified by count) at the target location.

## Uses of Player in org.bukkit.block

Methods in org.bukkit.block with parameters of type Player
Modifier and Type
Method
Description
`float`
Block.`getBreakSpeed(@NotNull Player player)`
Gets the speed at which the given player would break this block, taking into account tools, potion effects, whether or not the player is in water, enchantments, etc.

## Uses of Player in org.bukkit.boss

Methods in org.bukkit.boss that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull List<Player>`
BossBar.`getPlayers()`
Returns all players viewing this boss bar
Methods in org.bukkit.boss with parameters of type Player
Modifier and Type
Method
Description
`void`
BossBar.`addPlayer(@NotNull Player player)`
Adds the player to this boss bar causing it to display on their screen.
`void`
BossBar.`removePlayer(@NotNull Player player)`
Removes the player from this boss bar causing it to be removed from their screen.

## Uses of Player in org.bukkit.conversations

Methods in org.bukkit.conversations with parameters of type Player
Modifier and Type
Method
Description
`protected abstract @Nullable Prompt`
PlayerNamePrompt.`acceptValidatedInput(@NotNull ConversationContext context, @NotNull Player input)`
Override this method to perform some action with the user's player name response.

## Uses of Player in org.bukkit.entity

Methods in org.bukkit.entity that return Player
Modifier and Type
Method
Description
`@Nullable Player`
LivingEntity.`getKiller()`
Gets the player identified as the killer of the living entity.
Methods in org.bukkit.entity that return types with arguments of type Player
Modifier and Type
Method
Description
`Set<Player>`
Player.Spigot.`getHiddenPlayers()`
Gets all players hidden with `hidePlayer(org.bukkit.entity.Player)`.
`@NotNull Set<Player>`
Entity.`getTrackedPlayers()`
Returns a set of `Players` within this entity's tracking range (players that can "see" this entity).
Methods in org.bukkit.entity with parameters of type Player
Modifier and Type
Method
Description
`boolean`
Player.`canSee(@NotNull Player player)`
Checks to see if a player has been hidden from this player
`void`
Player.`hidePlayer(@NotNull Player player)`
Deprecated.
see `hidePlayer(Plugin, Player)`
`void`
Player.`hidePlayer(@NotNull Plugin plugin, @NotNull Player player)`
Hides a player from this player
`void`
LightningStrike.`setCausingPlayer(@Nullable Player causingPlayer)`
Updates the player that caused this lightning to be summoned into the world.
`void`
LivingEntity.`setKiller(@Nullable Player killer)`
Sets the player identified as the killer of the living entity.
`void`
Player.`showPlayer(@NotNull Player player)`
Deprecated.
see `showPlayer(Plugin, Player)`
`void`
Player.`showPlayer(@NotNull Plugin plugin, @NotNull Player player)`
Allows this player to see a player that was previously hidden.
Method parameters in org.bukkit.entity with type arguments of type Player
Modifier and Type
Method
Description
`void`
LivingEntity.`broadcastSlotBreak(@NotNull EquipmentSlot slot, @NotNull Collection<Player> players)`
Notifies specified players that the item in the slot of this entity broke.

## Uses of Player in org.bukkit.event.block

Fields in org.bukkit.event.block declared as Player
Modifier and Type
Field
Description
`protected Player`
BlockPlaceEvent.`player`
Methods in org.bukkit.event.block that return Player
Modifier and Type
Method
Description
`@NotNull Player`
BlockBreakEvent.`getPlayer()`
Gets the Player that is breaking the block involved in this event.
`@Nullable Player`
BlockCanBuildEvent.`getPlayer()`
Gets the player who placed the block involved in this event.
`@NotNull Player`
BlockDamageAbortEvent.`getPlayer()`
Gets the player that stopped damaging the block involved in this event.
`@NotNull Player`
BlockDamageEvent.`getPlayer()`
Gets the player damaging the block involved in this event.
`@NotNull Player`
BlockDropItemEvent.`getPlayer()`
Gets the Player that is breaking the block involved in this event.
`@Nullable Player`
BlockFertilizeEvent.`getPlayer()`
Gets the player that triggered the fertilization.
`@Nullable Player`
BlockIgniteEvent.`getPlayer()`
Gets the player who ignited this block
`@NotNull Player`
BlockPlaceEvent.`getPlayer()`
Gets the player who placed the block involved in this event.
`@NotNull Player`
SignChangeEvent.`getPlayer()`
Gets the player changing the sign involved in this event.
Constructors in org.bukkit.event.block with parameters of type Player
Modifier
Constructor
Description
``
`BlockBreakEvent(@NotNull Block theBlock, @NotNull Player player)`
``
`BlockCanBuildEvent(@NotNull Block block, @Nullable Player player, @NotNull BlockData type, boolean canBuild)`
``
`BlockDamageAbortEvent(@NotNull Player player, @NotNull Block block, @NotNull ItemStack itemInHand)`
``
`BlockDamageEvent(@NotNull Player player, @NotNull Block block, @NotNull ItemStack itemInHand, boolean instaBreak)`
``
`BlockDropItemEvent(@NotNull Block block, @NotNull BlockState blockState, @NotNull Player player, @NotNull List<Item> items)`
``
`BlockFertilizeEvent(@NotNull Block theBlock, @Nullable Player player, @NotNull List<BlockState> blocks)`
``
`BlockMultiPlaceEvent(@NotNull List<BlockState> states, @NotNull Block clicked, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild)`
Deprecated.
``
`BlockMultiPlaceEvent(@NotNull List<BlockState> states, @NotNull Block clicked, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild, EquipmentSlot hand)`
``
`BlockPlaceEvent(@NotNull Block placedBlock, @NotNull BlockState replacedBlockState, @NotNull Block placedAgainst, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild)`
Deprecated.
``
`BlockPlaceEvent(@NotNull Block placedBlock, @NotNull BlockState replacedBlockState, @NotNull Block placedAgainst, @NotNull ItemStack itemInHand, @NotNull Player thePlayer, boolean canBuild, @NotNull EquipmentSlot hand)`
``
`SignChangeEvent(@NotNull Block theBlock, @NotNull Player thePlayer, @NotNull String[] theLines)`
Deprecated.
``
`SignChangeEvent(@NotNull Block theBlock, @NotNull Player player, List<Component> adventure$lines)`

## Uses of Player in org.bukkit.event.enchantment

Methods in org.bukkit.event.enchantment that return Player
Modifier and Type
Method
Description
`@NotNull Player`
EnchantItemEvent.`getEnchanter()`
Gets the player enchanting the item
`@NotNull Player`
PrepareItemEnchantEvent.`getEnchanter()`
Gets the player enchanting the item
Constructors in org.bukkit.event.enchantment with parameters of type Player
Modifier
Constructor
Description
``
`EnchantItemEvent(@NotNull Player enchanter, @NotNull InventoryView view, @NotNull Block table, @NotNull ItemStack item, int level, @NotNull Map<Enchantment,Integer> enchants, int i)`
``
`PrepareItemEnchantEvent(@NotNull Player enchanter, @NotNull InventoryView view, @NotNull Block table, @NotNull ItemStack item, @Nullable EnchantmentOffer @NotNull [] offers, int bonus)`

## Uses of Player in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Player
Modifier and Type
Method
Description
`@NotNull Player`
PlayerDeathEvent.`getEntity()`
`@Nullable Player`
EntityPlaceEvent.`getPlayer()`
Returns the player placing the entity
`@NotNull Player`
PlayerDeathEvent.`getPlayer()`
Clarity method for getting the player.
`final @NotNull Player`
PlayerLeashEntityEvent.`getPlayer()`
Returns the player involved in this event
Constructors in org.bukkit.event.entity with parameters of type Player
Modifier
Constructor
Description
``
`EntityPlaceEvent(@NotNull Entity entity, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace)`
Deprecated.
``
`EntityPlaceEvent(@NotNull Entity entity, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @NotNull EquipmentSlot hand)`
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, int newTotalExp, int newLevel, @Nullable String deathMessage)`
Deprecated.
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, int newTotalExp, int newLevel, @Nullable String deathMessage, boolean doExpDrop)`
Deprecated.
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, int newTotalExp, int newLevel, Component adventure$deathMessage, @Nullable String deathMessage)`
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, int newTotalExp, int newLevel, Component adventure$deathMessage, @Nullable String deathMessage, boolean doExpDrop)`
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, @Nullable String deathMessage)`
Deprecated.
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, int newExp, Component adventure$deathMessage, @Nullable String deathMessage)`
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, @Nullable String deathMessage)`
``
`PlayerDeathEvent(@NotNull Player player, @NotNull List<ItemStack> drops, int droppedExp, Component adventure$deathMessage)`
``
`PlayerLeashEntityEvent(@NotNull Entity what, @NotNull Entity leashHolder, @NotNull Player leasher)`
Deprecated.
``
`PlayerLeashEntityEvent(@NotNull Entity what, @NotNull Entity leashHolder, @NotNull Player leasher, @NotNull EquipmentSlot hand)`
``
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color, @Nullable Player player)`

## Uses of Player in org.bukkit.event.hanging

Methods in org.bukkit.event.hanging that return Player
Modifier and Type
Method
Description
`@Nullable Player`
HangingPlaceEvent.`getPlayer()`
Returns the player placing the hanging entity
Constructors in org.bukkit.event.hanging with parameters of type Player
Modifier
Constructor
Description
``
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @Nullable EquipmentSlot hand)`
Deprecated.
``
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @Nullable EquipmentSlot hand, @Nullable ItemStack itemStack)`

## Uses of Player in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return Player
Modifier and Type
Method
Description
`@NotNull Player`
FurnaceExtractEvent.`getPlayer()`
Get the player that triggered the event
Constructors in org.bukkit.event.inventory with parameters of type Player
Modifier
Constructor
Description
``
`FurnaceExtractEvent(@NotNull Player player, @NotNull Block block, @NotNull Material itemType, int itemAmount, int exp)`

## Uses of Player in org.bukkit.event.player

Fields in org.bukkit.event.player declared as Player
Modifier and Type
Field
Description
`protected Player`
PlayerEvent.`player`
Methods in org.bukkit.event.player that return Player
Modifier and Type
Method
Description
`final @NotNull Player`
PlayerEvent.`getPlayer()`
Returns the player involved in this event
`@NotNull Player`
PlayerUnleashEntityEvent.`getPlayer()`
Returns the player who is unleashing the entity.
Methods in org.bukkit.event.player that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull Set<Player>`
AsyncPlayerChatEvent.`getRecipients()`
Deprecated.
Gets a set of recipients that this chat message will be displayed to.
`@NotNull Set<Player>`
PlayerChatEvent.`getRecipients()`
Deprecated.
Gets a set of recipients that this chat message will be displayed to
`@NotNull Set<Player>`
PlayerCommandPreprocessEvent.`getRecipients()`
Deprecated.
This method is provided for backward compatibility with no guarantee to the effect of viewing or modifying the set.
Methods in org.bukkit.event.player with parameters of type Player
Modifier and Type
Method
Description
`void`
PlayerChatEvent.`setPlayer(@NotNull Player player)`
Deprecated.
Sets the player that this message will display as, or command will be executed as
`void`
PlayerCommandPreprocessEvent.`setPlayer(@NotNull Player player)`
Sets the player that this command will be executed as.
Constructors in org.bukkit.event.player with parameters of type Player
Modifier
Constructor
Description
``
`AsyncPlayerChatEvent(boolean async, @NotNull Player who, @NotNull String message, @NotNull Set<Player> players)`
Deprecated.
``
`AsyncPlayerChatPreviewEvent(boolean async, @NotNull Player who, @NotNull String message, @NotNull Set<Player> players)`
Deprecated.
``
`PlayerAdvancementDoneEvent(@NotNull Player who, @NotNull Advancement advancement)`
``
`PlayerAdvancementDoneEvent(@NotNull Player who, @NotNull Advancement advancement, @Nullable Component message)`
``
`PlayerAnimationEvent(@NotNull Player player)`
Deprecated.
``
`PlayerAnimationEvent(@NotNull Player player, @NotNull PlayerAnimationType playerAnimationType)`
Construct a new PlayerAnimation event
``
`PlayerArmorStandManipulateEvent(@NotNull Player who, @NotNull ArmorStand clickedEntity, @NotNull ItemStack playerItem, @NotNull ItemStack armorStandItem, @NotNull EquipmentSlot slot)`
Deprecated.
``
`PlayerArmorStandManipulateEvent(@NotNull Player who, @NotNull ArmorStand clickedEntity, @NotNull ItemStack playerItem, @NotNull ItemStack armorStandItem, @NotNull EquipmentSlot slot, @NotNull EquipmentSlot hand)`
``
`PlayerAttemptPickupItemEvent(@NotNull Player player, @NotNull Item item)`
Deprecated.
``
`PlayerAttemptPickupItemEvent(@NotNull Player player, @NotNull Item item, int remaining)`
``
`PlayerBedEnterEvent(@NotNull Player who, @NotNull Block bed)`
Deprecated.
``
`PlayerBedEnterEvent(@NotNull Player who, @NotNull Block bed, @NotNull PlayerBedEnterEvent.BedEnterResult bedEnterResult)`
``
`PlayerBedLeaveEvent(@NotNull Player who, @NotNull Block bed, boolean setBedSpawn)`
``
`PlayerBucketEmptyEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketEmptyEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketEmptyEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @NotNull EquipmentSlot hand)`
``
`PlayerBucketEntityEvent(@NotNull Player player, @NotNull Entity entity, @NotNull ItemStack originalBucket, @NotNull ItemStack entityBucket, @NotNull EquipmentSlot hand)`
``
`PlayerBucketEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @NotNull EquipmentSlot hand)`
``
`PlayerBucketFillEvent(@NotNull Player who, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketFillEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand)`
Deprecated.
``
`PlayerBucketFillEvent(@NotNull Player who, @NotNull Block block, @NotNull Block blockClicked, @NotNull BlockFace blockFace, @NotNull Material bucket, @NotNull ItemStack itemInHand, @NotNull EquipmentSlot hand)`
``
`PlayerBucketFishEvent(@NotNull Player player, @NotNull Fish fish, @NotNull ItemStack waterBucket, @NotNull ItemStack fishBucket, @NotNull EquipmentSlot hand)`
Deprecated.
``
`PlayerChangedMainHandEvent(@NotNull Player who, @NotNull MainHand mainHand)`
``
`PlayerChangedWorldEvent(@NotNull Player player, @NotNull World from)`
``
`PlayerChannelEvent(@NotNull Player player, @NotNull String channel)`
``
`PlayerChatEvent(@NotNull Player player, @NotNull String message)`
Deprecated.
``
`PlayerChatEvent(@NotNull Player player, @NotNull String message, @NotNull String format, @NotNull Set<Player> recipients)`
Deprecated.
``
`PlayerChatTabCompleteEvent(@NotNull Player who, @NotNull String message, @NotNull Collection<String> completions)`
Deprecated.
``
`PlayerCommandPreprocessEvent(@NotNull Player player, @NotNull String message)`
``
`PlayerCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients)`
``
`PlayerCommandSendEvent(@NotNull Player player, @NotNull Collection<String> commands)`
``
`PlayerDropItemEvent(@NotNull Player player, @NotNull Item drop)`
``
`PlayerEditBookEvent(@NotNull Player who, int slot, @NotNull BookMeta previousBookMeta, @NotNull BookMeta newBookMeta, boolean isSigning)`
``
`PlayerEggThrowEvent(@NotNull Player player, @NotNull Egg egg, boolean hatching, byte numHatches, @NotNull EntityType hatchingType)`
``
`PlayerEvent(@NotNull Player who)`
``
`PlayerEvent(@NotNull Player who, boolean async)`
``
`PlayerExpChangeEvent(@NotNull Player player, int expAmount)`
``
`PlayerExpChangeEvent(@NotNull Player player, @Nullable Entity sourceEntity, int expAmount)`
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @NotNull PlayerFishEvent.State state)`
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @Nullable EquipmentSlot hand, @NotNull PlayerFishEvent.State state)`
``
`PlayerGameModeChangeEvent(@NotNull Player player, @NotNull GameMode newGameMode)`
Deprecated.
``
`PlayerGameModeChangeEvent(@NotNull Player player, @NotNull GameMode newGameMode, @NotNull PlayerGameModeChangeEvent.Cause cause, Component cancelMessage)`
``
`PlayerHarvestBlockEvent(@NotNull Player player, @NotNull Block harvestedBlock, @NotNull List<ItemStack> itemsHarvested)`
Deprecated.
``
`PlayerHarvestBlockEvent(@NotNull Player player, @NotNull Block harvestedBlock, @NotNull EquipmentSlot hand, @NotNull List<ItemStack> itemsHarvested)`
``
`PlayerHideEntityEvent(@NotNull Player who, @NotNull Entity entity)`
``
`PlayerInteractAtEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull Vector position)`
``
`PlayerInteractAtEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull Vector position, @NotNull EquipmentSlot hand)`
``
`PlayerInteractEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity)`
``
`PlayerInteractEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull EquipmentSlot hand)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand, @Nullable Location interactionPoint)`
``
`PlayerItemBreakEvent(@NotNull Player player, @NotNull ItemStack brokenItem)`
``
`PlayerItemConsumeEvent(@NotNull Player player, @NotNull ItemStack item)`
Deprecated.
use `PlayerItemConsumeEvent(Player, ItemStack, EquipmentSlot)`
``
`PlayerItemConsumeEvent(@NotNull Player player, @NotNull ItemStack item, @NotNull EquipmentSlot hand)`
``
`PlayerItemDamageEvent(@NotNull Player player, @NotNull ItemStack what, int damage)`
Deprecated.
``
`PlayerItemDamageEvent(@NotNull Player player, @NotNull ItemStack what, int damage, int originalDamage)`
``
`PlayerItemHeldEvent(@NotNull Player player, int previous, int current)`
``
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull ExperienceOrb experienceOrb, int repairAmount)`
Deprecated.
``
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull EquipmentSlot slot, @NotNull ExperienceOrb experienceOrb, int repairAmount)`
``
`PlayerJoinEvent(@NotNull Player playerJoined, @Nullable String joinMessage)`
Deprecated.
``
`PlayerJoinEvent(@NotNull Player playerJoined, Component joinMessage)`
``
`PlayerKickEvent(@NotNull Player playerKicked, @NotNull String kickReason, @NotNull String leaveMessage)`
Deprecated.
``
`PlayerKickEvent(@NotNull Player playerKicked, Component kickReason, Component leaveMessage)`
Deprecated.
``
`PlayerKickEvent(@NotNull Player playerKicked, Component kickReason, Component leaveMessage, @NotNull PlayerKickEvent.Cause cause)`
``
`PlayerLevelChangeEvent(@NotNull Player player, int oldLevel, int newLevel)`
``
`PlayerLocaleChangeEvent(@NotNull Player who, @NotNull String locale)`
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address)`
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address, @NotNull InetAddress realAddress)`
This constructor defaults message to an empty string, and result to ALLOWED
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address, @NotNull PlayerLoginEvent.Result result, @NotNull String message, @NotNull InetAddress realAddress)`
Deprecated.
in favour of `PlayerLoginEvent(Player, String, InetAddress, Result, net.kyori.adventure.text.Component, InetAddress)`
``
`PlayerLoginEvent(@NotNull Player player, @NotNull String hostname, @NotNull InetAddress address, @NotNull PlayerLoginEvent.Result result, Component message, @NotNull InetAddress realAddress)`
This constructor pre-configures the event with a result and message
``
`PlayerMoveEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to)`
``
`PlayerPickupArrowEvent(@NotNull Player player, @NotNull Item item, @NotNull AbstractArrow arrow)`
``
`PlayerPickupItemEvent(@NotNull Player player, @NotNull Item item, int remaining)`
Deprecated.
``
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to)`
``
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause)`
``
`PlayerPortalEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause, int getSearchRadius, boolean canCreatePortal, int creationRadius)`
``
`PlayerQuitEvent(@NotNull Player who, @Nullable String quitMessage)`
Deprecated.
``
`PlayerQuitEvent(@NotNull Player who, @Nullable String quitMessage, @Nullable PlayerQuitEvent.QuitReason quitReason)`
Deprecated.
``
`PlayerQuitEvent(@NotNull Player who, Component quitMessage)`
Deprecated.
``
`PlayerQuitEvent(@NotNull Player who, Component quitMessage, @Nullable PlayerQuitEvent.QuitReason quitReason)`
``
`PlayerRecipeDiscoverEvent(@NotNull Player who, @NotNull NamespacedKey recipe)`
``
`PlayerRegisterChannelEvent(@NotNull Player player, @NotNull String channel)`
``
`PlayerResourcePackStatusEvent(@NotNull Player who, @NotNull PlayerResourcePackStatusEvent.Status resourcePackStatus)`
``
`PlayerResourcePackStatusEvent(Player who, PlayerResourcePackStatusEvent.Status resourcePackStatus, String hash)`
Deprecated.
``
`PlayerRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnLocation, boolean isBedSpawn)`
Deprecated.
``
`PlayerRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnLocation, boolean isBedSpawn, boolean isAnchorSpawn)`
Deprecated.
``
`PlayerRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnLocation, boolean isBedSpawn, boolean isAnchorSpawn, ImmutableSet.Builder<PlayerRespawnEvent.RespawnFlag> respawnFlags)`
``
`PlayerRiptideEvent(@NotNull Player who, @NotNull ItemStack item)`
``
`PlayerShearEntityEvent(@NotNull Player who, @NotNull Entity what)`
Deprecated.
``
`PlayerShearEntityEvent(@NotNull Player who, @NotNull Entity what, @NotNull ItemStack item, @NotNull EquipmentSlot hand)`
``
`PlayerShowEntityEvent(@NotNull Player who, @NotNull Entity entity)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull EntityType entityType)`
``
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull Material material)`
``
`PlayerSwapHandItemsEvent(@NotNull Player player, @NotNull ItemStack mainHandItem, @NotNull ItemStack offHandItem)`
``
`PlayerTakeLecternBookEvent(@NotNull Player who, @NotNull Lectern lectern)`
``
`PlayerTeleportEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to)`
``
`PlayerTeleportEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause)`
``
`PlayerTeleportEvent(@NotNull Player player, @NotNull Location from, @Nullable Location to, @NotNull PlayerTeleportEvent.TeleportCause cause, boolean dismounted, Set<@NotNull RelativeTeleportFlag> teleportFlagSet)`
``
`PlayerToggleFlightEvent(@NotNull Player player, boolean isFlying)`
``
`PlayerToggleSneakEvent(@NotNull Player player, boolean isSneaking)`
``
`PlayerToggleSprintEvent(@NotNull Player player, boolean isSprinting)`
``
`PlayerUnleashEntityEvent(@NotNull Entity entity, @NotNull Player player)`
Deprecated.
``
`PlayerUnleashEntityEvent(@NotNull Entity entity, @NotNull Player player, @NotNull EquipmentSlot hand)`
Deprecated.
``
`PlayerUnleashEntityEvent(@NotNull Entity entity, @NotNull Player player, @NotNull EquipmentSlot hand, boolean dropLeash)`
``
`PlayerUnregisterChannelEvent(@NotNull Player player, @NotNull String channel)`
``
`PlayerVelocityEvent(@NotNull Player player, @NotNull Vector velocity)`
Constructor parameters in org.bukkit.event.player with type arguments of type Player
Modifier
Constructor
Description
``
`AsyncPlayerChatEvent(boolean async, @NotNull Player who, @NotNull String message, @NotNull Set<Player> players)`
Deprecated.
``
`AsyncPlayerChatPreviewEvent(boolean async, @NotNull Player who, @NotNull String message, @NotNull Set<Player> players)`
Deprecated.
``
`PlayerChatEvent(@NotNull Player player, @NotNull String message, @NotNull String format, @NotNull Set<Player> recipients)`
Deprecated.
``
`PlayerCommandPreprocessEvent(@NotNull Player player, @NotNull String message, @NotNull Set<Player> recipients)`

## Uses of Player in org.bukkit.event.raid

Methods in org.bukkit.event.raid that return Player
Modifier and Type
Method
Description
`@NotNull Player`
RaidTriggerEvent.`getPlayer()`
Returns the player who triggered the raid.
Methods in org.bukkit.event.raid that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull List<Player>`
RaidFinishEvent.`getWinners()`
Returns an immutable list contains all winners.
Constructors in org.bukkit.event.raid with parameters of type Player
Modifier
Constructor
Description
``
`RaidTriggerEvent(@NotNull Raid raid, @NotNull World world, @NotNull Player player)`
Constructor parameters in org.bukkit.event.raid with type arguments of type Player
Modifier
Constructor
Description
``
`RaidFinishEvent(@NotNull Raid raid, @NotNull World world, @NotNull List<Player> winners)`

## Uses of Player in org.bukkit.event.server

Methods in org.bukkit.event.server that return types with arguments of type Player
Modifier and Type
Method
Description
`@NotNull Iterator<Player>`
ServerListPingEvent.`iterator()`

## Uses of Player in org.bukkit.event.world

Methods in org.bukkit.event.world that return Player
Modifier and Type
Method
Description
`@Nullable Player`
StructureGrowEvent.`getPlayer()`
Gets the player that created the structure.
Constructors in org.bukkit.event.world with parameters of type Player
Modifier
Constructor
Description
``
`StructureGrowEvent(@NotNull Location location, @NotNull TreeType species, boolean bonemeal, @Nullable Player player, @NotNull List<BlockState> blocks)`

## Uses of Player in org.bukkit.map

Methods in org.bukkit.map with parameters of type Player
Modifier and Type
Method
Description
`abstract void`
MapRenderer.`render(@NotNull MapView map, @NotNull MapCanvas canvas, @NotNull Player player)`
Render to the given map.

## Uses of Player in org.bukkit.plugin.messaging

Methods in org.bukkit.plugin.messaging with parameters of type Player
Modifier and Type
Method
Description
`void`
Messenger.`dispatchIncomingMessage(@NotNull Player source, @NotNull String channel, @org.jetbrains.annotations.NotNull byte[] message)`
Dispatches the specified incoming message to any registered listeners.
`void`
StandardMessenger.`dispatchIncomingMessage(@NotNull Player source, @NotNull String channel, @org.jetbrains.annotations.NotNull byte[] message)`
`void`
PluginMessageListener.`onPluginMessageReceived(@NotNull String channel, @NotNull Player player, @org.jetbrains.annotations.NotNull byte[] message)`
A method that will be thrown when a PluginMessageSource sends a plugin message on a registered channel.

## Uses of Player in org.spigotmc.event.player

Constructors in org.spigotmc.event.player with parameters of type Player
Modifier
Constructor
Description
``
`PlayerSpawnLocationEvent(@NotNull Player who, @NotNull Location spawnLocation)`